package com.mortals.xhx.module.perform.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.perform.model.PerformReviewRecordEntity;
/**
* 评价差评绩效记录信息查询对象
*
* @author zxfei
* @date 2023-07-11
*/
public class PerformReviewRecordQuery extends PerformReviewRecordEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 窗口编号 */
    private List<String> windowNumList;

    /** 窗口编号排除列表 */
    private List <String> windowNumNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 评价结果(1.非常不满意,2.差评) */
    private Integer reviewResultStart;

    /** 结束 评价结果(1.非常不满意,2.差评) */
    private Integer reviewResultEnd;

    /** 增加 评价结果(1.非常不满意,2.差评) */
    private Integer reviewResultIncrement;

    /** 评价结果(1.非常不满意,2.差评)列表 */
    private List <Integer> reviewResultList;

    /** 评价结果(1.非常不满意,2.差评)排除列表 */
    private List <Integer> reviewResultNotList;

    /** 开始 评价时间 */
    private String reviewTimeStart;

    /** 结束 评价时间 */
    private String reviewTimeEnd;

    /** 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它) */
    private List<String> reviewSourceList;

    /** 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)排除列表 */
    private List <String> reviewSourceNotList;
    /** 评价设备 */
    private List<String> reviewDeviceList;

    /** 评价设备排除列表 */
    private List <String> reviewDeviceNotList;
    /** 开始 绩效规则id */
    private Long ruleIdStart;

    /** 结束 绩效规则id */
    private Long ruleIdEnd;

    /** 增加 绩效规则id */
    private Long ruleIdIncrement;

    /** 绩效规则id列表 */
    private List <Long> ruleIdList;

    /** 绩效规则id排除列表 */
    private List <Long> ruleIdNotList;

    /** 规则名称 */
    private List<String> ruleNameList;

    /** 规则名称排除列表 */
    private List <String> ruleNameNotList;
    /** 开始 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodStart;

    /** 结束 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodEnd;

    /** 增加 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodIncrement;

    /** 扣分方式(1.系统自动,2.人工添加)列表 */
    private List <Integer> subMethodList;

    /** 扣分方式(1.系统自动,2.人工添加)排除列表 */
    private List <Integer> subMethodNotList;

    /** 加分扣分人员 */
    private List<String> deductPersonList;

    /** 加分扣分人员排除列表 */
    private List <String> deductPersonNotList;
    /** 开始 加分扣分时间 */
    private String deductTimeStart;

    /** 结束 加分扣分时间 */
    private String deductTimeEnd;

    /** 开始 扣分或增加分值 */
    private BigDecimal scoreStart;

    /** 结束 扣分或增加分值 */
    private BigDecimal scoreEnd;

    /** 增加 扣分或增加分值 */
    private BigDecimal scoreIncrement;

    /** 扣分或增加分值列表 */
    private List <BigDecimal> scoreList;

    /** 扣分或增加分值排除列表 */
    private List <BigDecimal> scoreNotList;

    /** 开始 处理状态(1.未核查,2.已核查) */
    private Integer processStatusStart;

    /** 结束 处理状态(1.未核查,2.已核查) */
    private Integer processStatusEnd;

    /** 增加 处理状态(1.未核查,2.已核查) */
    private Integer processStatusIncrement;

    /** 处理状态(1.未核查,2.已核查)列表 */
    private List <Integer> processStatusList;

    /** 处理状态(1.未核查,2.已核查)排除列表 */
    private List <Integer> processStatusNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 附件名称，多个逗号分割 */
    private List<String> fileNamesList;

    /** 附件名称，多个逗号分割排除列表 */
    private List <String> fileNamesNotList;
    /** 附件下载地址，多个逗号分割 */
    private List<String> filePathsList;

    /** 附件下载地址，多个逗号分割排除列表 */
    private List <String> filePathsNotList;
    /** 开始 绩效规则分类id */
    private Long categoryIdStart;

    /** 结束 绩效规则分类id */
    private Long categoryIdEnd;

    /** 增加 绩效规则分类id */
    private Long categoryIdIncrement;

    /** 绩效规则分类id列表 */
    private List <Long> categoryIdList;

    /** 绩效规则分类id排除列表 */
    private List <Long> categoryIdNotList;

    /** 规则名称 */
    private List<String> categoryNameList;

    /** 规则名称排除列表 */
    private List <String> categoryNameNotList;
    /** 开始 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeStart;

    /** 结束 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeEnd;

    /** 增加 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeIncrement;

    /** 增减类型(1.增加,2.扣除)列表 */
    private List <Integer> subAddTypeList;

    /** 增减类型(1.增加,2.扣除)排除列表 */
    private List <Integer> subAddTypeNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformReviewRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformReviewRecordQuery> andConditionList;

    public PerformReviewRecordQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 员工ID
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工ID
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工ID
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工ID
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工ID
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工ID
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工姓名
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工姓名
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 工号
    * @return workNumList
    */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
    * 获取 工号
    * @return workNumNotList
    */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
    * 设置 工号
    * @param workNumNotList
    */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
    * 获取 窗口编号
    * @return windowNumList
    */
    public List<String> getWindowNumList(){
        return this.windowNumList;
    }

    /**
    * 设置 窗口编号
    * @param windowNumList
    */
    public void setWindowNumList(List<String> windowNumList){
        this.windowNumList = windowNumList;
    }

    /**
    * 获取 窗口编号
    * @return windowNumNotList
    */
    public List<String> getWindowNumNotList(){
        return this.windowNumNotList;
    }

    /**
    * 设置 窗口编号
    * @param windowNumNotList
    */
    public void setWindowNumNotList(List<String> windowNumNotList){
        this.windowNumNotList = windowNumNotList;
    }

    /**
    * 获取 开始 所属部门
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 所属部门
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 所属部门
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 所属部门
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 所属部门
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 所属部门
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 所属部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 评价结果(1.非常不满意,2.差评)
    * @return reviewResultStart
    */
    public Integer getReviewResultStart(){
        return this.reviewResultStart;
    }

    /**
    * 设置 开始 评价结果(1.非常不满意,2.差评)
    * @param reviewResultStart
    */
    public void setReviewResultStart(Integer reviewResultStart){
        this.reviewResultStart = reviewResultStart;
    }

    /**
    * 获取 结束 评价结果(1.非常不满意,2.差评)
    * @return $reviewResultEnd
    */
    public Integer getReviewResultEnd(){
        return this.reviewResultEnd;
    }

    /**
    * 设置 结束 评价结果(1.非常不满意,2.差评)
    * @param reviewResultEnd
    */
    public void setReviewResultEnd(Integer reviewResultEnd){
        this.reviewResultEnd = reviewResultEnd;
    }

    /**
    * 获取 增加 评价结果(1.非常不满意,2.差评)
    * @return reviewResultIncrement
    */
    public Integer getReviewResultIncrement(){
        return this.reviewResultIncrement;
    }

    /**
    * 设置 增加 评价结果(1.非常不满意,2.差评)
    * @param reviewResultIncrement
    */
    public void setReviewResultIncrement(Integer reviewResultIncrement){
        this.reviewResultIncrement = reviewResultIncrement;
    }

    /**
    * 获取 评价结果(1.非常不满意,2.差评)
    * @return reviewResultList
    */
    public List<Integer> getReviewResultList(){
        return this.reviewResultList;
    }

    /**
    * 设置 评价结果(1.非常不满意,2.差评)
    * @param reviewResultList
    */
    public void setReviewResultList(List<Integer> reviewResultList){
        this.reviewResultList = reviewResultList;
    }

    /**
    * 获取 评价结果(1.非常不满意,2.差评)
    * @return reviewResultNotList
    */
    public List<Integer> getReviewResultNotList(){
        return this.reviewResultNotList;
    }

    /**
    * 设置 评价结果(1.非常不满意,2.差评)
    * @param reviewResultNotList
    */
    public void setReviewResultNotList(List<Integer> reviewResultNotList){
        this.reviewResultNotList = reviewResultNotList;
    }


    /**
    * 获取 开始 评价时间
    * @return reviewTimeStart
    */
    public String getReviewTimeStart(){
        return this.reviewTimeStart;
    }

    /**
    * 设置 开始 评价时间
    * @param reviewTimeStart
    */
    public void setReviewTimeStart(String reviewTimeStart){
        this.reviewTimeStart = reviewTimeStart;
    }

    /**
    * 获取 结束 评价时间
    * @return reviewTimeEnd
    */
    public String getReviewTimeEnd(){
        return this.reviewTimeEnd;
    }

    /**
    * 设置 结束 评价时间
    * @param reviewTimeEnd
    */
    public void setReviewTimeEnd(String reviewTimeEnd){
        this.reviewTimeEnd = reviewTimeEnd;
    }

    /**
    * 获取 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)
    * @return reviewSourceList
    */
    public List<String> getReviewSourceList(){
        return this.reviewSourceList;
    }

    /**
    * 设置 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)
    * @param reviewSourceList
    */
    public void setReviewSourceList(List<String> reviewSourceList){
        this.reviewSourceList = reviewSourceList;
    }

    /**
    * 获取 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)
    * @return reviewSourceNotList
    */
    public List<String> getReviewSourceNotList(){
        return this.reviewSourceNotList;
    }

    /**
    * 设置 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)
    * @param reviewSourceNotList
    */
    public void setReviewSourceNotList(List<String> reviewSourceNotList){
        this.reviewSourceNotList = reviewSourceNotList;
    }

    /**
    * 获取 评价设备
    * @return reviewDeviceList
    */
    public List<String> getReviewDeviceList(){
        return this.reviewDeviceList;
    }

    /**
    * 设置 评价设备
    * @param reviewDeviceList
    */
    public void setReviewDeviceList(List<String> reviewDeviceList){
        this.reviewDeviceList = reviewDeviceList;
    }

    /**
    * 获取 评价设备
    * @return reviewDeviceNotList
    */
    public List<String> getReviewDeviceNotList(){
        return this.reviewDeviceNotList;
    }

    /**
    * 设置 评价设备
    * @param reviewDeviceNotList
    */
    public void setReviewDeviceNotList(List<String> reviewDeviceNotList){
        this.reviewDeviceNotList = reviewDeviceNotList;
    }

    /**
    * 获取 开始 绩效规则id
    * @return ruleIdStart
    */
    public Long getRuleIdStart(){
        return this.ruleIdStart;
    }

    /**
    * 设置 开始 绩效规则id
    * @param ruleIdStart
    */
    public void setRuleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
    }

    /**
    * 获取 结束 绩效规则id
    * @return $ruleIdEnd
    */
    public Long getRuleIdEnd(){
        return this.ruleIdEnd;
    }

    /**
    * 设置 结束 绩效规则id
    * @param ruleIdEnd
    */
    public void setRuleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
    }

    /**
    * 获取 增加 绩效规则id
    * @return ruleIdIncrement
    */
    public Long getRuleIdIncrement(){
        return this.ruleIdIncrement;
    }

    /**
    * 设置 增加 绩效规则id
    * @param ruleIdIncrement
    */
    public void setRuleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
    }

    /**
    * 获取 绩效规则id
    * @return ruleIdList
    */
    public List<Long> getRuleIdList(){
        return this.ruleIdList;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdList
    */
    public void setRuleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
    }

    /**
    * 获取 绩效规则id
    * @return ruleIdNotList
    */
    public List<Long> getRuleIdNotList(){
        return this.ruleIdNotList;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdNotList
    */
    public void setRuleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
    }


    /**
    * 获取 规则名称
    * @return ruleNameList
    */
    public List<String> getRuleNameList(){
        return this.ruleNameList;
    }

    /**
    * 设置 规则名称
    * @param ruleNameList
    */
    public void setRuleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
    }

    /**
    * 获取 规则名称
    * @return ruleNameNotList
    */
    public List<String> getRuleNameNotList(){
        return this.ruleNameNotList;
    }

    /**
    * 设置 规则名称
    * @param ruleNameNotList
    */
    public void setRuleNameNotList(List<String> ruleNameNotList){
        this.ruleNameNotList = ruleNameNotList;
    }

    /**
    * 获取 开始 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodStart
    */
    public Integer getSubMethodStart(){
        return this.subMethodStart;
    }

    /**
    * 设置 开始 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodStart
    */
    public void setSubMethodStart(Integer subMethodStart){
        this.subMethodStart = subMethodStart;
    }

    /**
    * 获取 结束 扣分方式(1.系统自动,2.人工添加)
    * @return $subMethodEnd
    */
    public Integer getSubMethodEnd(){
        return this.subMethodEnd;
    }

    /**
    * 设置 结束 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodEnd
    */
    public void setSubMethodEnd(Integer subMethodEnd){
        this.subMethodEnd = subMethodEnd;
    }

    /**
    * 获取 增加 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodIncrement
    */
    public Integer getSubMethodIncrement(){
        return this.subMethodIncrement;
    }

    /**
    * 设置 增加 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodIncrement
    */
    public void setSubMethodIncrement(Integer subMethodIncrement){
        this.subMethodIncrement = subMethodIncrement;
    }

    /**
    * 获取 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodList
    */
    public List<Integer> getSubMethodList(){
        return this.subMethodList;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodList
    */
    public void setSubMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
    }

    /**
    * 获取 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodNotList
    */
    public List<Integer> getSubMethodNotList(){
        return this.subMethodNotList;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodNotList
    */
    public void setSubMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
    }


    /**
    * 获取 加分扣分人员
    * @return deductPersonList
    */
    public List<String> getDeductPersonList(){
        return this.deductPersonList;
    }

    /**
    * 设置 加分扣分人员
    * @param deductPersonList
    */
    public void setDeductPersonList(List<String> deductPersonList){
        this.deductPersonList = deductPersonList;
    }

    /**
    * 获取 加分扣分人员
    * @return deductPersonNotList
    */
    public List<String> getDeductPersonNotList(){
        return this.deductPersonNotList;
    }

    /**
    * 设置 加分扣分人员
    * @param deductPersonNotList
    */
    public void setDeductPersonNotList(List<String> deductPersonNotList){
        this.deductPersonNotList = deductPersonNotList;
    }

    /**
    * 获取 开始 加分扣分时间
    * @return deductTimeStart
    */
    public String getDeductTimeStart(){
        return this.deductTimeStart;
    }

    /**
    * 设置 开始 加分扣分时间
    * @param deductTimeStart
    */
    public void setDeductTimeStart(String deductTimeStart){
        this.deductTimeStart = deductTimeStart;
    }

    /**
    * 获取 结束 加分扣分时间
    * @return deductTimeEnd
    */
    public String getDeductTimeEnd(){
        return this.deductTimeEnd;
    }

    /**
    * 设置 结束 加分扣分时间
    * @param deductTimeEnd
    */
    public void setDeductTimeEnd(String deductTimeEnd){
        this.deductTimeEnd = deductTimeEnd;
    }

    /**
    * 获取 开始 扣分或增加分值
    * @return scoreStart
    */
    public BigDecimal getScoreStart(){
        return this.scoreStart;
    }

    /**
    * 设置 开始 扣分或增加分值
    * @param scoreStart
    */
    public void setScoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
    }

    /**
    * 获取 结束 扣分或增加分值
    * @return $scoreEnd
    */
    public BigDecimal getScoreEnd(){
        return this.scoreEnd;
    }

    /**
    * 设置 结束 扣分或增加分值
    * @param scoreEnd
    */
    public void setScoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
    }

    /**
    * 获取 增加 扣分或增加分值
    * @return scoreIncrement
    */
    public BigDecimal getScoreIncrement(){
        return this.scoreIncrement;
    }

    /**
    * 设置 增加 扣分或增加分值
    * @param scoreIncrement
    */
    public void setScoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
    }

    /**
    * 获取 扣分或增加分值
    * @return scoreList
    */
    public List<BigDecimal> getScoreList(){
        return this.scoreList;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreList
    */
    public void setScoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
    }

    /**
    * 获取 扣分或增加分值
    * @return scoreNotList
    */
    public List<BigDecimal> getScoreNotList(){
        return this.scoreNotList;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreNotList
    */
    public void setScoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
    }


    /**
    * 获取 开始 处理状态(1.未核查,2.已核查)
    * @return processStatusStart
    */
    public Integer getProcessStatusStart(){
        return this.processStatusStart;
    }

    /**
    * 设置 开始 处理状态(1.未核查,2.已核查)
    * @param processStatusStart
    */
    public void setProcessStatusStart(Integer processStatusStart){
        this.processStatusStart = processStatusStart;
    }

    /**
    * 获取 结束 处理状态(1.未核查,2.已核查)
    * @return $processStatusEnd
    */
    public Integer getProcessStatusEnd(){
        return this.processStatusEnd;
    }

    /**
    * 设置 结束 处理状态(1.未核查,2.已核查)
    * @param processStatusEnd
    */
    public void setProcessStatusEnd(Integer processStatusEnd){
        this.processStatusEnd = processStatusEnd;
    }

    /**
    * 获取 增加 处理状态(1.未核查,2.已核查)
    * @return processStatusIncrement
    */
    public Integer getProcessStatusIncrement(){
        return this.processStatusIncrement;
    }

    /**
    * 设置 增加 处理状态(1.未核查,2.已核查)
    * @param processStatusIncrement
    */
    public void setProcessStatusIncrement(Integer processStatusIncrement){
        this.processStatusIncrement = processStatusIncrement;
    }

    /**
    * 获取 处理状态(1.未核查,2.已核查)
    * @return processStatusList
    */
    public List<Integer> getProcessStatusList(){
        return this.processStatusList;
    }

    /**
    * 设置 处理状态(1.未核查,2.已核查)
    * @param processStatusList
    */
    public void setProcessStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
    }

    /**
    * 获取 处理状态(1.未核查,2.已核查)
    * @return processStatusNotList
    */
    public List<Integer> getProcessStatusNotList(){
        return this.processStatusNotList;
    }

    /**
    * 设置 处理状态(1.未核查,2.已核查)
    * @param processStatusNotList
    */
    public void setProcessStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 附件名称，多个逗号分割
    * @return fileNamesList
    */
    public List<String> getFileNamesList(){
        return this.fileNamesList;
    }

    /**
    * 设置 附件名称，多个逗号分割
    * @param fileNamesList
    */
    public void setFileNamesList(List<String> fileNamesList){
        this.fileNamesList = fileNamesList;
    }

    /**
    * 获取 附件名称，多个逗号分割
    * @return fileNamesNotList
    */
    public List<String> getFileNamesNotList(){
        return this.fileNamesNotList;
    }

    /**
    * 设置 附件名称，多个逗号分割
    * @param fileNamesNotList
    */
    public void setFileNamesNotList(List<String> fileNamesNotList){
        this.fileNamesNotList = fileNamesNotList;
    }

    /**
    * 获取 附件下载地址，多个逗号分割
    * @return filePathsList
    */
    public List<String> getFilePathsList(){
        return this.filePathsList;
    }

    /**
    * 设置 附件下载地址，多个逗号分割
    * @param filePathsList
    */
    public void setFilePathsList(List<String> filePathsList){
        this.filePathsList = filePathsList;
    }

    /**
    * 获取 附件下载地址，多个逗号分割
    * @return filePathsNotList
    */
    public List<String> getFilePathsNotList(){
        return this.filePathsNotList;
    }

    /**
    * 设置 附件下载地址，多个逗号分割
    * @param filePathsNotList
    */
    public void setFilePathsNotList(List<String> filePathsNotList){
        this.filePathsNotList = filePathsNotList;
    }

    /**
    * 获取 开始 绩效规则分类id
    * @return categoryIdStart
    */
    public Long getCategoryIdStart(){
        return this.categoryIdStart;
    }

    /**
    * 设置 开始 绩效规则分类id
    * @param categoryIdStart
    */
    public void setCategoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
    }

    /**
    * 获取 结束 绩效规则分类id
    * @return $categoryIdEnd
    */
    public Long getCategoryIdEnd(){
        return this.categoryIdEnd;
    }

    /**
    * 设置 结束 绩效规则分类id
    * @param categoryIdEnd
    */
    public void setCategoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
    }

    /**
    * 获取 增加 绩效规则分类id
    * @return categoryIdIncrement
    */
    public Long getCategoryIdIncrement(){
        return this.categoryIdIncrement;
    }

    /**
    * 设置 增加 绩效规则分类id
    * @param categoryIdIncrement
    */
    public void setCategoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
    }

    /**
    * 获取 绩效规则分类id
    * @return categoryIdList
    */
    public List<Long> getCategoryIdList(){
        return this.categoryIdList;
    }

    /**
    * 设置 绩效规则分类id
    * @param categoryIdList
    */
    public void setCategoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
    }

    /**
    * 获取 绩效规则分类id
    * @return categoryIdNotList
    */
    public List<Long> getCategoryIdNotList(){
        return this.categoryIdNotList;
    }

    /**
    * 设置 绩效规则分类id
    * @param categoryIdNotList
    */
    public void setCategoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
    }


    /**
    * 获取 规则名称
    * @return categoryNameList
    */
    public List<String> getCategoryNameList(){
        return this.categoryNameList;
    }

    /**
    * 设置 规则名称
    * @param categoryNameList
    */
    public void setCategoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
    }

    /**
    * 获取 规则名称
    * @return categoryNameNotList
    */
    public List<String> getCategoryNameNotList(){
        return this.categoryNameNotList;
    }

    /**
    * 设置 规则名称
    * @param categoryNameNotList
    */
    public void setCategoryNameNotList(List<String> categoryNameNotList){
        this.categoryNameNotList = categoryNameNotList;
    }

    /**
    * 获取 开始 增减类型(1.增加,2.扣除)
    * @return subAddTypeStart
    */
    public Integer getSubAddTypeStart(){
        return this.subAddTypeStart;
    }

    /**
    * 设置 开始 增减类型(1.增加,2.扣除)
    * @param subAddTypeStart
    */
    public void setSubAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
    }

    /**
    * 获取 结束 增减类型(1.增加,2.扣除)
    * @return $subAddTypeEnd
    */
    public Integer getSubAddTypeEnd(){
        return this.subAddTypeEnd;
    }

    /**
    * 设置 结束 增减类型(1.增加,2.扣除)
    * @param subAddTypeEnd
    */
    public void setSubAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
    }

    /**
    * 获取 增加 增减类型(1.增加,2.扣除)
    * @return subAddTypeIncrement
    */
    public Integer getSubAddTypeIncrement(){
        return this.subAddTypeIncrement;
    }

    /**
    * 设置 增加 增减类型(1.增加,2.扣除)
    * @param subAddTypeIncrement
    */
    public void setSubAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
    }

    /**
    * 获取 增减类型(1.增加,2.扣除)
    * @return subAddTypeList
    */
    public List<Integer> getSubAddTypeList(){
        return this.subAddTypeList;
    }

    /**
    * 设置 增减类型(1.增加,2.扣除)
    * @param subAddTypeList
    */
    public void setSubAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
    }

    /**
    * 获取 增减类型(1.增加,2.扣除)
    * @return subAddTypeNotList
    */
    public List<Integer> getSubAddTypeNotList(){
        return this.subAddTypeNotList;
    }

    /**
    * 设置 增减类型(1.增加,2.扣除)
    * @param subAddTypeNotList
    */
    public void setSubAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
    }


    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PerformReviewRecordQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PerformReviewRecordQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PerformReviewRecordQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PerformReviewRecordQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PerformReviewRecordQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public PerformReviewRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  员工ID
    * @param staffId
    */
    public PerformReviewRecordQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public PerformReviewRecordQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public PerformReviewRecordQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public PerformReviewRecordQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public PerformReviewRecordQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工ID
        * @param staffIdNotList
        */
        public PerformReviewRecordQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param staffName
    */
    public PerformReviewRecordQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public PerformReviewRecordQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }


	/**
    * 设置 工号
    * @param workNum
    */
    public PerformReviewRecordQuery workNum(String workNum){
        setWorkNum(workNum);
		return this;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public PerformReviewRecordQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
		return this;
    }


	/**
    * 设置 窗口编号
    * @param windowNum
    */
    public PerformReviewRecordQuery windowNum(String windowNum){
        setWindowNum(windowNum);
		return this;
    }

    /**
    * 设置 窗口编号
    * @param windowNumList
    */
    public PerformReviewRecordQuery windowNumList(List<String> windowNumList){
        this.windowNumList = windowNumList;
		return this;
    }

    /**
    * 设置  所属部门
    * @param deptId
    */
    public PerformReviewRecordQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public PerformReviewRecordQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public PerformReviewRecordQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public PerformReviewRecordQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public PerformReviewRecordQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 所属部门
        * @param deptIdNotList
        */
        public PerformReviewRecordQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 所属部门名称
    * @param deptName
    */
    public PerformReviewRecordQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public PerformReviewRecordQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  评价结果(1.非常不满意,2.差评)
    * @param reviewResult
    */
    public PerformReviewRecordQuery reviewResult(Integer reviewResult){
	    setReviewResult(reviewResult);
		return this;
    }
	
	 /**
    * 设置 开始 评价结果(1.非常不满意,2.差评)
    * @param reviewResultStart
    */
    public PerformReviewRecordQuery reviewResultStart(Integer reviewResultStart){
		this.reviewResultStart = reviewResultStart;
		return this;
    }

    /**
    * 设置 结束 评价结果(1.非常不满意,2.差评)
    * @param reviewResultEnd
    */
    public PerformReviewRecordQuery reviewResultEnd(Integer reviewResultEnd){
		this.reviewResultEnd = reviewResultEnd;
		return this;
    }

    /**
    * 设置 增加 评价结果(1.非常不满意,2.差评)
    * @param reviewResultIncrement
    */
    public PerformReviewRecordQuery reviewResultIncrement(Integer reviewResultIncrement){
		this.reviewResultIncrement = reviewResultIncrement;
		return this;
    }

    /**
    * 设置 评价结果(1.非常不满意,2.差评)
    * @param reviewResultList
    */
    public PerformReviewRecordQuery reviewResultList(List<Integer> reviewResultList){
        this.reviewResultList = reviewResultList;
		return this;
        }

        /**
        * 设置 评价结果(1.非常不满意,2.差评)
        * @param reviewResultNotList
        */
        public PerformReviewRecordQuery reviewResultNotList(List<Integer> reviewResultNotList){
        this.reviewResultNotList = reviewResultNotList;
        return this;
        }



	/**
    * 设置 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)
    * @param reviewSource
    */
    public PerformReviewRecordQuery reviewSource(String reviewSource){
        setReviewSource(reviewSource);
		return this;
    }

    /**
    * 设置 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)
    * @param reviewSourceList
    */
    public PerformReviewRecordQuery reviewSourceList(List<String> reviewSourceList){
        this.reviewSourceList = reviewSourceList;
		return this;
    }


	/**
    * 设置 评价设备
    * @param reviewDevice
    */
    public PerformReviewRecordQuery reviewDevice(String reviewDevice){
        setReviewDevice(reviewDevice);
		return this;
    }

    /**
    * 设置 评价设备
    * @param reviewDeviceList
    */
    public PerformReviewRecordQuery reviewDeviceList(List<String> reviewDeviceList){
        this.reviewDeviceList = reviewDeviceList;
		return this;
    }

    /**
    * 设置  绩效规则id
    * @param ruleId
    */
    public PerformReviewRecordQuery ruleId(Long ruleId){
	    setRuleId(ruleId);
		return this;
    }
	
	 /**
    * 设置 开始 绩效规则id
    * @param ruleIdStart
    */
    public PerformReviewRecordQuery ruleIdStart(Long ruleIdStart){
		this.ruleIdStart = ruleIdStart;
		return this;
    }

    /**
    * 设置 结束 绩效规则id
    * @param ruleIdEnd
    */
    public PerformReviewRecordQuery ruleIdEnd(Long ruleIdEnd){
		this.ruleIdEnd = ruleIdEnd;
		return this;
    }

    /**
    * 设置 增加 绩效规则id
    * @param ruleIdIncrement
    */
    public PerformReviewRecordQuery ruleIdIncrement(Long ruleIdIncrement){
		this.ruleIdIncrement = ruleIdIncrement;
		return this;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdList
    */
    public PerformReviewRecordQuery ruleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
		return this;
        }

        /**
        * 设置 绩效规则id
        * @param ruleIdNotList
        */
        public PerformReviewRecordQuery ruleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
        return this;
        }


	/**
    * 设置 规则名称
    * @param ruleName
    */
    public PerformReviewRecordQuery ruleName(String ruleName){
        setRuleName(ruleName);
		return this;
    }

    /**
    * 设置 规则名称
    * @param ruleNameList
    */
    public PerformReviewRecordQuery ruleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
		return this;
    }

    /**
    * 设置  扣分方式(1.系统自动,2.人工添加)
    * @param subMethod
    */
    public PerformReviewRecordQuery subMethod(Integer subMethod){
	    setSubMethod(subMethod);
		return this;
    }
	
	 /**
    * 设置 开始 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodStart
    */
    public PerformReviewRecordQuery subMethodStart(Integer subMethodStart){
		this.subMethodStart = subMethodStart;
		return this;
    }

    /**
    * 设置 结束 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodEnd
    */
    public PerformReviewRecordQuery subMethodEnd(Integer subMethodEnd){
		this.subMethodEnd = subMethodEnd;
		return this;
    }

    /**
    * 设置 增加 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodIncrement
    */
    public PerformReviewRecordQuery subMethodIncrement(Integer subMethodIncrement){
		this.subMethodIncrement = subMethodIncrement;
		return this;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodList
    */
    public PerformReviewRecordQuery subMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
		return this;
        }

        /**
        * 设置 扣分方式(1.系统自动,2.人工添加)
        * @param subMethodNotList
        */
        public PerformReviewRecordQuery subMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
        return this;
        }


	/**
    * 设置 加分扣分人员
    * @param deductPerson
    */
    public PerformReviewRecordQuery deductPerson(String deductPerson){
        setDeductPerson(deductPerson);
		return this;
    }

    /**
    * 设置 加分扣分人员
    * @param deductPersonList
    */
    public PerformReviewRecordQuery deductPersonList(List<String> deductPersonList){
        this.deductPersonList = deductPersonList;
		return this;
    }


    /**
    * 设置  扣分或增加分值
    * @param score
    */
    public PerformReviewRecordQuery score(BigDecimal score){
	    setScore(score);
		return this;
    }
	
	 /**
    * 设置 开始 扣分或增加分值
    * @param scoreStart
    */
    public PerformReviewRecordQuery scoreStart(BigDecimal scoreStart){
		this.scoreStart = scoreStart;
		return this;
    }

    /**
    * 设置 结束 扣分或增加分值
    * @param scoreEnd
    */
    public PerformReviewRecordQuery scoreEnd(BigDecimal scoreEnd){
		this.scoreEnd = scoreEnd;
		return this;
    }

    /**
    * 设置 增加 扣分或增加分值
    * @param scoreIncrement
    */
    public PerformReviewRecordQuery scoreIncrement(BigDecimal scoreIncrement){
		this.scoreIncrement = scoreIncrement;
		return this;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreList
    */
    public PerformReviewRecordQuery scoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
		return this;
        }

        /**
        * 设置 扣分或增加分值
        * @param scoreNotList
        */
        public PerformReviewRecordQuery scoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
        return this;
        }

    /**
    * 设置  处理状态(1.未核查,2.已核查)
    * @param processStatus
    */
    public PerformReviewRecordQuery processStatus(Integer processStatus){
	    setProcessStatus(processStatus);
		return this;
    }
	
	 /**
    * 设置 开始 处理状态(1.未核查,2.已核查)
    * @param processStatusStart
    */
    public PerformReviewRecordQuery processStatusStart(Integer processStatusStart){
		this.processStatusStart = processStatusStart;
		return this;
    }

    /**
    * 设置 结束 处理状态(1.未核查,2.已核查)
    * @param processStatusEnd
    */
    public PerformReviewRecordQuery processStatusEnd(Integer processStatusEnd){
		this.processStatusEnd = processStatusEnd;
		return this;
    }

    /**
    * 设置 增加 处理状态(1.未核查,2.已核查)
    * @param processStatusIncrement
    */
    public PerformReviewRecordQuery processStatusIncrement(Integer processStatusIncrement){
		this.processStatusIncrement = processStatusIncrement;
		return this;
    }

    /**
    * 设置 处理状态(1.未核查,2.已核查)
    * @param processStatusList
    */
    public PerformReviewRecordQuery processStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
		return this;
        }

        /**
        * 设置 处理状态(1.未核查,2.已核查)
        * @param processStatusNotList
        */
        public PerformReviewRecordQuery processStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public PerformReviewRecordQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public PerformReviewRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PerformReviewRecordQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PerformReviewRecordQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PerformReviewRecordQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PerformReviewRecordQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PerformReviewRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PerformReviewRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PerformReviewRecordQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PerformReviewRecordQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PerformReviewRecordQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PerformReviewRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PerformReviewRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PerformReviewRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }



	/**
    * 设置 附件名称，多个逗号分割
    * @param fileNames
    */
    public PerformReviewRecordQuery fileNames(String fileNames){
        setFileNames(fileNames);
		return this;
    }

    /**
    * 设置 附件名称，多个逗号分割
    * @param fileNamesList
    */
    public PerformReviewRecordQuery fileNamesList(List<String> fileNamesList){
        this.fileNamesList = fileNamesList;
		return this;
    }


	/**
    * 设置 附件下载地址，多个逗号分割
    * @param filePaths
    */
    public PerformReviewRecordQuery filePaths(String filePaths){
        setFilePaths(filePaths);
		return this;
    }

    /**
    * 设置 附件下载地址，多个逗号分割
    * @param filePathsList
    */
    public PerformReviewRecordQuery filePathsList(List<String> filePathsList){
        this.filePathsList = filePathsList;
		return this;
    }

    /**
    * 设置  绩效规则分类id
    * @param categoryId
    */
    public PerformReviewRecordQuery categoryId(Long categoryId){
	    setCategoryId(categoryId);
		return this;
    }
	
	 /**
    * 设置 开始 绩效规则分类id
    * @param categoryIdStart
    */
    public PerformReviewRecordQuery categoryIdStart(Long categoryIdStart){
		this.categoryIdStart = categoryIdStart;
		return this;
    }

    /**
    * 设置 结束 绩效规则分类id
    * @param categoryIdEnd
    */
    public PerformReviewRecordQuery categoryIdEnd(Long categoryIdEnd){
		this.categoryIdEnd = categoryIdEnd;
		return this;
    }

    /**
    * 设置 增加 绩效规则分类id
    * @param categoryIdIncrement
    */
    public PerformReviewRecordQuery categoryIdIncrement(Long categoryIdIncrement){
		this.categoryIdIncrement = categoryIdIncrement;
		return this;
    }

    /**
    * 设置 绩效规则分类id
    * @param categoryIdList
    */
    public PerformReviewRecordQuery categoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
		return this;
        }

        /**
        * 设置 绩效规则分类id
        * @param categoryIdNotList
        */
        public PerformReviewRecordQuery categoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
        return this;
        }


	/**
    * 设置 规则名称
    * @param categoryName
    */
    public PerformReviewRecordQuery categoryName(String categoryName){
        setCategoryName(categoryName);
		return this;
    }

    /**
    * 设置 规则名称
    * @param categoryNameList
    */
    public PerformReviewRecordQuery categoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
		return this;
    }

    /**
    * 设置  增减类型(1.增加,2.扣除)
    * @param subAddType
    */
    public PerformReviewRecordQuery subAddType(Integer subAddType){
	    setSubAddType(subAddType);
		return this;
    }
	
	 /**
    * 设置 开始 增减类型(1.增加,2.扣除)
    * @param subAddTypeStart
    */
    public PerformReviewRecordQuery subAddTypeStart(Integer subAddTypeStart){
		this.subAddTypeStart = subAddTypeStart;
		return this;
    }

    /**
    * 设置 结束 增减类型(1.增加,2.扣除)
    * @param subAddTypeEnd
    */
    public PerformReviewRecordQuery subAddTypeEnd(Integer subAddTypeEnd){
		this.subAddTypeEnd = subAddTypeEnd;
		return this;
    }

    /**
    * 设置 增加 增减类型(1.增加,2.扣除)
    * @param subAddTypeIncrement
    */
    public PerformReviewRecordQuery subAddTypeIncrement(Integer subAddTypeIncrement){
		this.subAddTypeIncrement = subAddTypeIncrement;
		return this;
    }

    /**
    * 设置 增减类型(1.增加,2.扣除)
    * @param subAddTypeList
    */
    public PerformReviewRecordQuery subAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
		return this;
        }

        /**
        * 设置 增减类型(1.增加,2.扣除)
        * @param subAddTypeNotList
        */
        public PerformReviewRecordQuery subAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PerformReviewRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PerformReviewRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PerformReviewRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PerformReviewRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}